org.apache.ignite.internal.processors.cache.persistence.metastorage

## Class MetsatorageSearchRowImpl

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.persistence.metastorage.MetsatorageSearchRowImpl

All Implemented Interfaces:
  MetastorageSearchRow

    public class MetsatorageSearchRowImpl
    extends Object
    implements MetastorageSearchRow

### Constructor Summary

Constructors
Constructor and Description
`MetsatorageSearchRowImpl(String key, long link)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `hash()`
`String` `key()`
`long` `link()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MetsatorageSearchRowImpl

    public MetsatorageSearchRowImpl(String key,
                                    long link)

Parameters:
  `key` - Key.
  `link` - Link.

### Method Detail

#### key

    public String key()

Specified by:
  `key` in interface `MetastorageSearchRow`
Returns:
  Key.

#### link

    public long link()

Specified by:
  `link` in interface `MetastorageSearchRow`
Returns:
  Link for this row.

#### hash

    public int hash()

Specified by:
  `hash` in interface `MetastorageSearchRow`
Returns:
  Key hash code.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.4.0
Release Date | : March 5 2018